/* Copyright (c) Jython Developers */
package org.python.modules.bz2;

import org.python.core.ClassDictInit;
import org.python.core.PyObject;
import org.python.core.PyString;
import org.python.core.PyType;

/**
 * Builtin bz2 module.
 *
 * Backed by a slightly modified version of the Apache Commons library's bz2 support.
 */
public class bz2 implements ClassDictInit {

    public static final PyString __doc__ = new PyString(
        "The python bz2 module provides a comprehensive interface for\n" +
        "the bz2 compression library. It implements a complete file\n" +
        "interface, one shot (de)compression functions, and types for\n" +
        "sequential (de)compression.\n");

    public static void classDictInit(PyObject dict) {
        dict.__setitem__("BZ2Compressor", PyType.fromClass(BZ2Compressor.class));
        //dict.__setitem__("BZ2Decompressor", PyType.fromClass(BZ2Decompressor.class));
        dict.__setitem__("BZ2File", PyType.fromClass(BZ2File.class));
    }

    /*
    public String compress()
    public String decompress()
    */
}
